### Signal

# Adw TabView::close-page

#### Declaration

    gboolean
    close_page (
      AdwTabView* self,
      AdwTabPage* page,
      gpointer user_data
    )

#### Description [src]

Emitted after `adw_tab_view_close_page()` has been called for `page`.

The handler is expected to call `adw_tab_view_close_page_finish()` to confirm or reject the closing.

The default handler will immediately confirm closing for non-pinned pages, or reject it for pinned pages, equivalent to the following example:

    static gboolean
    close_page_cb (AdwTabView *view,
                   AdwTabPage *page,
                   gpointer    user_data)
    {
      adw_tab_view_close_page_finish (view, page, !adw_tab_page_get_pinned (page));

      return GDK_EVENT_STOP;
    }

The `adw_tab_view_close_page_finish()` call doesn’t have to happen inside the handler, so can be used to do asynchronous checks before confirming the closing.

A typical reason to connect to this signal is to show a confirmation dialog for closing a tab.

The signal handler should return `GDK_EVENT_STOP` to stop propagation or `GDK_EVENT_PROPAGATE` to invoke the default handler.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`page`

  Type: `AdwTabPage`

  A page of `self`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether propagation should be stopped.